PUT
/api/v1/prompts/collaborationSubmit a review decision
Records a reviewer's decision (approve/reject/comment) on a review request and returns the updated review.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/settings/api-keys.
Request body required
Example
{
"requestId": "string",
"reviewerId": "<Defaults to the authenticated caller.>",
"decision": "approve",
"message": "string"
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"requestId",
"decision"
],
"properties": {
"requestId": {
"type": "string"
},
"reviewerId": {
"type": "string",
"description": "Defaults to the authenticated caller."
},
"decision": {
"type": "string",
"enum": [
"approve",
"reject",
"comment"
]
},
"message": {
"type": "string"
}
}
}
}
}Response
200 example
{
"success": true
}All status codes
200Updated review.
400(no description)
401(no description)
403Forbidden — NO_EMAIL, NO_ORG, ORG_CONTEXT_REQUIRED.
413Payload Too Large.
429(no description)
500Internal Server Error — an unhandled error was converted to the standard error envelope (INTERNAL_ERROR).
Code samples
cURL
curl -X PUT \
https://evalguard.ai/api/v1/prompts/collaboration \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "requestId": "string", "reviewerId": "<Defaults to the authenticated caller.>", "decision": "approve", "message": "string" }'TypeScript
// The TypeScript SDK (@evalguard/sdk) exposes TYPED methods — runEval,
// getEval, runSecurityScan, checkFirewall, … — not a generic request().
// For an arbitrary endpoint, call it directly:
const res = await fetch("https://evalguard.ai/api/v1/prompts/collaboration", {
method: "PUT",
headers: {
Authorization: `Bearer ${process.env.EVALGUARD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"requestId": "string",
"reviewerId": "<Defaults to the authenticated caller.>",
"decision": "approve",
"message": "string"
}),
});
console.log(res.status, await res.json());Python
# The Python SDK (pip install evalguardai) exposes TYPED methods on
# EvalGuardClient — run_eval, get_eval, … — not a generic request().
# For an arbitrary endpoint, call it directly:
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['EVALGUARD_API_KEY']}"}
headers["Content-Type"] = "application/json"
response = requests.request(
"PUT",
"https://evalguard.ai/api/v1/prompts/collaboration",
headers=headers,
json={
"requestId": "string",
"reviewerId": "<Defaults to the authenticated caller.>",
"decision": "approve",
"message": "string"
},
)
print(response.status_code, response.json())Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"requestId":"string","reviewerId":"<Defaults to the authenticated caller.>","decision":"approve","message":"string"}`)
req, _ := http.NewRequestWithContext(context.Background(), "PUT", "https://evalguard.ai/api/v1/prompts/collaboration", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403413429500